MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030669Open CASCADE[OCCT] OCCT:Visualizationpublic2019-04-23 08:502019-05-08 11:25
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030669: Visualization - AIS_Manipulator ignores parent transformation
DescriptionAttaching AIS_Manipulator to an object having non-identity parent transformation leads to miscalculation of rotation transformation.
Steps To Reproduce
pload MODELING VISUALIZATION
box b1 0 0 0 1 2 3
box b2 2 0 0 2 1 3
vclear
vinit View1
vpoint p0 0 0 0
vdisplay -dispMode 1 b1 b2
vchild b1 -add b2
vlocation b1  -setRotation  1 0 0 1 -setLocation 4 -2 0
vfit
vmanipulator m -attach b2
TagsNo tags attached.
Test case numberbugs/vis/bug30669
Attached Files

- Relationships
related to 0030674verifiedbugmaster Open CASCADE Visualization, AIS_InteractiveObject - fix accessibility of several properties 

-  Notes
(0083964)
git (administrator)
2019-04-24 12:18

Branch CR30669 has been created by kgv.

SHA-1: 8478f7f92509da7e41a9bb9e3afa9adbfd1f6164


Detailed log of new commits:

Author: kgv
Date: Thu Apr 4 09:44:16 2019 +0300

    0030669: Visualization - AIS_Manipulator ignores parent transformation
    
    Added new command vchild for easier testing of low-level connections between presentations.
(0083969)
git (administrator)
2019-04-24 19:09

Branch CR30669_1 has been created by kgv.

SHA-1: 15fafa4eed2007f76ec74dec543df076acb96f23


Detailed log of new commits:

Author: kgv
Date: Wed Apr 24 18:50:29 2019 +0300

    0030669: Visualization - AIS_Manipulator ignores parent transformation
    
    AIS_Manipulator::Transform() now considers object parent transformation.
    
    Added new command vchild for easier testing of low-level connections between presentations.
(0083971)
git (administrator)
2019-04-24 19:32

Branch CR30669_1 has been updated forcibly by kgv.

SHA-1: 99192d8f54edb8a5f0e811fb367b182408e33051
(0083982)
kgv (developer)
2019-04-25 07:55

Please raise the patch.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30669_1-CR30674-KGV/ [^]
(0083987)
bugmaster (administrator)
2019-04-25 16:46

Combination -
OCCT branch : CR30669_1
master SHA - 99192d8f54edb8a5f0e811fb367b182408e33051
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : CR30674 SHA - 124da65e9772b7f6fd6fd688e4d8b24296f6ec29
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16539.559999999998 / 16536.609999999906 [+0.02%]
Products
Total CPU difference: 10509.340000000033 / 10546.95000000005 [-0.36%]
Windows-64-VC14:
OCCT
Total CPU difference: 17934.890625 / 17960.6875 [-0.14%]
Products
Total CPU difference: 12073.890625 / 12065.3125 [+0.07%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0084021)
git (administrator)
2019-04-27 13:07

Branch CR30669_1 has been deleted by inv.

SHA-1: 99192d8f54edb8a5f0e811fb367b182408e33051
(0084023)
git (administrator)
2019-04-27 13:08

Branch CR30669 has been deleted by inv.

SHA-1: 8478f7f92509da7e41a9bb9e3afa9adbfd1f6164

- Related Changesets
occt: master 245cbf94
Timestamp: 2019-04-24 15:50:29
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030669: Visualization - AIS_Manipulator ignores parent transformation

AIS_Manipulator::Transform() now considers object parent transformation.

Added new command vchild for easier testing of low-level connections between presentations.
mod - src/AIS/AIS_Manipulator.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
add - tests/bugs/vis/bug30669 Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-04-23 08:50 kgv New Issue
2019-04-23 08:50 kgv Assigned To => kgv
2019-04-23 08:50 kgv Relationship added child of 0030665
2019-04-23 08:51 kgv Relationship added child of 0027038
2019-04-23 08:51 kgv Product Version 7.3.0 => 7.1.0
2019-04-23 08:51 kgv Relationship added related to 0030561
2019-04-24 12:18 git Note Added: 0083964
2019-04-24 12:19 kgv Steps to Reproduce Updated View Revisions
2019-04-24 18:42 kgv Relationship added related to 0030674
2019-04-24 19:09 git Note Added: 0083969
2019-04-24 19:32 git Note Added: 0083971
2019-04-25 07:55 kgv Note Added: 0083982
2019-04-25 07:55 kgv Assigned To kgv => bugmaster
2019-04-25 07:55 kgv Status new => resolved
2019-04-25 07:55 kgv Status resolved => reviewed
2019-04-25 16:44 bugmaster Test case number => bugs/vis/bug30669
2019-04-25 16:46 bugmaster Note Added: 0083987
2019-04-25 16:46 bugmaster Status reviewed => tested
2019-04-27 12:38 bugmaster Changeset attached => occt master 245cbf94
2019-04-27 12:38 bugmaster Status tested => verified
2019-04-27 12:38 bugmaster Resolution open => fixed
2019-04-27 13:07 git Note Added: 0084021
2019-04-27 13:08 git Note Added: 0084023


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker